## korganizer 19.12.3

=== src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"korganizer\")

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    )

if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()
add_subdirectory(interfaces)
add_subdirectory(pixmaps)
add_subdirectory(sounds)
add_subdirectory(kcmconfigs)
add_subdirectory(kontactplugin)
add_subdirectory(views/collectionview)
add_subdirectory(kconf_update)

########### next target ###############

set(korganizer_common_SRCS)
ecm_qt_declare_logging_category(korganizer_common_SRCS HEADER korganizer_debug.h IDENTIFIER KORGANIZER_LOG CATEGORY_NAME org.kde.pim.korganizer)

set(korganizer_SRCS
    main.cpp
    korganizer.cpp
    koapp.cpp
    plugininterface/korganizerplugininterface.cpp
    ${korganizer_common_SRCS}
    )

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/pixmaps/*-apps-korganizer.png")
ecm_add_app_icon(korganizer_SRCS ICONS ${ICONS_SRCS})

add_executable(korganizer ${korganizer_SRCS})

target_link_libraries(korganizer
    KF5::KontactInterface
    KF5::CalendarCore
    KF5::LibkdepimAkonadi
    KF5::KdepimDBusInterfaces
    korganizerprivate
    korganizer_interfaces
    korganizer_core
    KF5::PimCommonAkonadi
    KF5::Crash
    KF5::WindowSystem
    )

install(TARGETS
    korganizer ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
    )

########### next target ###############

set(kcm_korganizer_PART_SRCS
    kcmdesignerfields.cpp
    korganizer_debug.cpp
    prefs/koprefsdialog.cpp
    widgets/kitemiconcheckcombo.cpp
    )

add_library(kcm_korganizer MODULE ${kcm_korganizer_PART_SRCS})
generate_export_header(kcm_korganizer BASE_NAME kcm_korganizer)

target_link_libraries(kcm_korganizer
    KF5::AkonadiCalendar
    KF5::CalendarSupport
    KF5::EventViews
    KF5::IncidenceEditor
    KF5::LibkdepimAkonadi
    korganizer_core
    korganizerprivate
    Qt5::UiTools
    KF5::CalendarCore
    KF5::Holidays
    KF5::MailTransport
    KF5::PimCommon
    KF5::AkonadiWidgets
    KF5::WindowSystem
    )

install(TARGETS
    kcm_korganizer
    DESTINATION ${KDE_INSTALL_PLUGINDIR}
    )

########### next target ###############

set(korganizerpart_PART_SRCS korganizer_part.cpp korganizer_debug.cpp)

add_library(korganizerpart MODULE ${korganizerpart_PART_SRCS})

target_link_libraries(korganizerpart
    KF5::CalendarSupport
    korganizer_core
    korganizer_interfaces
    korganizerprivate
    KF5::AkonadiCore
    KF5::CalendarCore
    KF5::CalendarUtils
    )

install(TARGETS
    korganizerpart
    DESTINATION ${KDE_INSTALL_PLUGINDIR}
    )


########### next target ###############

set(korganizer_core_LIB_SRCS
    prefs/koprefs.cpp
    kocore.cpp
    ${korganizer_common_SRCS}
    )

kconfig_add_kcfg_files(korganizer_core_LIB_SRCS settings/koprefs_base.kcfgc)

add_library(korganizer_core ${korganizer_core_LIB_SRCS})
generate_export_header(korganizer_core BASE_NAME korganizer_core)

target_link_libraries(korganizer_core
    PUBLIC
    korganizer_interfaces
    PRIVATE
    KF5::CalendarSupport
    KF5::EventViews
    KF5::IdentityManagement
    )

target_include_directories(korganizer_core PUBLIC
    "$<BUILD_INTERFACE:${korganizer_SOURCE_DIR};${korganizer_BINARY_DIR}>"
    )

set_target_properties(korganizer_core PROPERTIES
    VERSION ${KDEPIM_LIB_VERSION}
    SOVERSION ${KDEPIM_LIB_SOVERSION}
    )

install(TARGETS
    korganizer_core ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
    )

########### next target ###############

set(korganizerprivate_LIB_SRCS
    ${korganizer_common_SRCS}
    manageshowcollectionproperties.cpp
    korgmigrateapplication.cpp
    collectiongeneralpage.cpp
    aboutdata.cpp
    actionmanager.cpp
    akonadicollectionview.cpp
    views/collectionview/reparentingmodel.cpp
    views/collectionview/calendardelegate.cpp
    views/collectionview/quickview.cpp
    calendarview.cpp
    datechecker.cpp
    datenavigator.cpp
    datenavigatorcontainer.cpp
    dialog/filtereditdialog.cpp
    widgets/kdatenavigator.cpp
    kocheckableproxymodel.cpp
    kocorehelper.cpp
    kodaymatrix.cpp
    kodialogmanager.cpp
    koeventpopupmenu.cpp
    dialog/noteeditdialog.cpp
    koeventview.cpp
    dialog/koeventviewerdialog.cpp
    koglobals.cpp
    kohelper.cpp
    impl/korganizerifaceimpl.cpp
    koviewmanager.cpp
    kowindowlist.cpp
    widgets/navigatorbar.cpp
    dialog/searchdialog.cpp
    helper/searchcollectionhelper.cpp
    views/agendaview/koagendaview.cpp
    views/journalview/kojournalview.cpp
    views/listview/kolistview.cpp
    views/monthview/monthview.cpp
    views/multiagendaview/multiagendaview.cpp
    views/timelineview/kotimelineview.cpp
    views/todoview/kotodoview.cpp
    views/whatsnextview/kowhatsnextview.cpp
    )

qt5_add_resources(korganizerprivate_LIB_SRCS korganizer.qrc)

set_property(SOURCE ${CMAKE_CURRENT_BINARY_DIR}/qrc_korganizer.cpp PROPERTY SKIP_AUTOMOC ON)
set_property(SOURCE ${CMAKE_CURRENT_BINARY_DIR}/qrc_agendaitemtheme.cpp PROPERTY SKIP_AUTOMOC ON)

ki18n_wrap_ui(korganizerprivate_LIB_SRCS
    ui/filteredit_base.ui
    ui/kogroupwareprefspage.ui
    views/multiagendaview/multiagendaviewconfigwidget.ui
    ui/searchdialog_base.ui
    views/collectionview/quickview.ui
    )

qt5_add_resources(korganizerprivate_LIB_SRCS
    agendaitem_pixmaps/agendaitemtheme.qrc)

qt5_add_dbus_adaptor(korganizerprivate_LIB_SRCS
    data/org.kde.korganizer.Korganizer.xml impl/korganizerifaceimpl.h
    KOrganizerIfaceImpl
    )

qt5_add_dbus_adaptor(korganizerprivate_LIB_SRCS
    data/org.kde.Korganizer.Calendar.xml actionmanager.h
    ActionManager calendaradaptor KOrgCalendarAdaptor
    )

qt5_add_dbus_interfaces(korganizerprivate_LIB_SRCS
    data/org.kde.korganizer.Korganizer.xml
    )

qt5_add_dbus_interfaces(korganizerprivate_LIB_SRCS
    ../korgac/org.kde.korganizer.KOrgac.xml
    )

qt5_add_dbus_interfaces(korganizerprivate_LIB_SRCS
    ${korganizer_SOURCE_DIR}/src/data/org.kde.korganizer.Korganizer.xml
    )

add_library(korganizerprivate ${korganizerprivate_LIB_SRCS})
generate_export_header(korganizerprivate BASE_NAME korganizerprivate)

target_link_libraries(korganizerprivate
    PUBLIC
    KF5::PimCommonAkonadi
    PRIVATE
    KF5::CalendarSupport
    KF5::EventViews
    KF5::IncidenceEditor
    KF5::LibkdepimAkonadi
    KF5::KdepimDBusInterfaces
    korganizer_core
    korganizer_interfaces
    KF5::AkonadiCore
    KF5::AkonadiCalendar
    KF5::AkonadiNotes
    KF5::AkonadiSearchPIM
    KF5::Contacts
    KF5::CalendarCore
    KF5::CalendarUtils
    KF5::Holidays
    KF5::Mime
    KF5::IdentityManagement
    KF5::KCMUtils
    KF5::NewStuff
    KF5::Ldap
    KF5::AkonadiWidgets
    KF5::IconThemes
    KF5::WindowSystem
    KF5::Notifications
    KF5::ItemViews
    )

target_include_directories(korganizerprivate PUBLIC
    "$<BUILD_INTERFACE:${korganizer_SOURCE_DIR};${korganizer_BINARY_DIR}>"
    )

set_target_properties(korganizerprivate PROPERTIES
    VERSION ${KDEPIM_LIB_VERSION}
    SOVERSION ${KDEPIM_LIB_SOVERSION}
    )

install(TARGETS
    korganizerprivate ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
    LIBRARY NAMELINK_SKIP
    )

########### install files ###############

install(FILES
    settings/korganizer.kcfg
    DESTINATION ${KDE_INSTALL_KCFGDIR}
    )

install(FILES
    korganizer_part.desktop data/webcal.protocol
    DESTINATION ${KDE_INSTALL_KSERVICES5DIR}
    )

install(FILES
    data/org.kde.Korganizer.Calendar.xml data/org.kde.korganizer.Korganizer.xml
    DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR}
    )

install(FILES
    data/korganizer.knsrc
    DESTINATION ${KDE_INSTALL_KNSRCDIR}
    )

install(PROGRAMS
    org.kde.korganizer.desktop korganizer-import.desktop
    DESTINATION ${KDE_INSTALL_APPDIR}
    )

install(FILES
    org.kde.korganizer.appdata.xml
    DESTINATION ${KDE_INSTALL_METAINFODIR}
    )

configure_file(data/org.kde.korganizer.service.in org.kde.korganizer.service)
install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.korganizer.service
    DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR}
    )

=== src/kcmconfigs/CMakeLists.txt ===
install(FILES
  korganizer_configcolorsandfonts.desktop
  korganizer_configdesignerfields.desktop
  korganizer_configfreebusy.desktop
  korganizer_configgroupscheduling.desktop
  korganizer_configmain.desktop
  korganizer_configplugins.desktop
  korganizer_configtime.desktop
  korganizer_configviews.desktop
  DESTINATION ${KDE_INSTALL_KSERVICES5DIR}
)

=== src/kontactplugin/korganizer/CMakeLists.txt ===
########### next target ###############
set(libcommon_SRCS korg_uniqueapp.cpp)
ecm_qt_declare_logging_category(libcommon_SRCS HEADER korganizerplugin_debug.h IDENTIFIER KORGANIZERPLUGIN_LOG CATEGORY_NAME org.kde.pim.korganizer_plugin)

set(kontact_korganizerplugin_PART_SRCS korganizerplugin.cpp apptsummarywidget.cpp summaryeventinfo.cpp ${libcommon_SRCS})

qt5_add_dbus_interfaces(kontact_korganizerplugin_PART_SRCS ${korganizer_SOURCE_DIR}/src/data/org.kde.Korganizer.Calendar.xml  ${korganizer_SOURCE_DIR}/src/data/org.kde.korganizer.Korganizer.xml)

add_library(kontact_korganizerplugin MODULE ${kontact_korganizerplugin_PART_SRCS})

target_link_libraries(kontact_korganizerplugin KF5::AkonadiCalendar KF5::CalendarUtils KF5::Contacts KF5::CalendarCore KF5::Libkdepim KF5::KontactInterface korganizerprivate KF5::CalendarSupport KF5::AkonadiCalendar KF5::WindowSystem KF5::I18n)

########### next target ###############

set(kontact_todoplugin_PART_SRCS todoplugin.cpp todosummarywidget.cpp ${libcommon_SRCS})

qt5_add_dbus_interfaces(kontact_todoplugin_PART_SRCS ${korganizer_SOURCE_DIR}/src/data/org.kde.Korganizer.Calendar.xml  ${korganizer_SOURCE_DIR}/src/data/org.kde.korganizer.Korganizer.xml)

add_library(kontact_todoplugin MODULE ${kontact_todoplugin_PART_SRCS})

target_link_libraries(kontact_todoplugin KF5::AkonadiCalendar  KF5::Contacts KF5::Libkdepim KF5::KontactInterface KF5::CalendarCore KF5::CalendarUtils KF5::CalendarSupport KF5::AkonadiCalendar KF5::WindowSystem)

########### next target ###############

set(kontact_journalplugin_PART_SRCS journalplugin.cpp ${libcommon_SRCS})

qt5_add_dbus_interfaces(kontact_journalplugin_PART_SRCS ${korganizer_SOURCE_DIR}/src/data/org.kde.Korganizer.Calendar.xml)

add_library(kontact_journalplugin MODULE ${kontact_journalplugin_PART_SRCS})

target_link_libraries(kontact_journalplugin  KF5::KontactInterface KF5::WindowSystem)

########### next target ###############

set(kcm_apptsummary_PART_SRCS kcmapptsummary.cpp)

ki18n_wrap_ui(kcm_apptsummary_PART_SRCS apptsummaryconfig_base.ui)

add_library(kcm_apptsummary MODULE ${kcm_apptsummary_PART_SRCS})

target_link_libraries(kcm_apptsummary  KF5::KCMUtils KF5::I18n)

########### next target ###############

set(kcm_todosummary_PART_SRCS kcmtodosummary.cpp)

ki18n_wrap_ui(kcm_todosummary_PART_SRCS todosummaryconfig_base.ui)

add_library(kcm_todosummary MODULE ${kcm_todosummary_PART_SRCS})

target_link_libraries(kcm_todosummary Qt5::Widgets KF5::KCMUtils KF5::I18n)

########## Unit Test ###########
if (BUILD_TESTING)
   add_subdirectory(autotests)
endif()
########### install files ###############

install(TARGETS kcm_apptsummary DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(TARGETS kcm_todosummary DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(TARGETS kontact_korganizerplugin DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(TARGETS kontact_todoplugin DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(TARGETS kontact_journalplugin DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(FILES korganizerplugin.desktop todoplugin.desktop journalplugin.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR}/kontact)
install(FILES kcmapptsummary.desktop kcmtodosummary.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

install(FILES korganizer.setdlg DESTINATION ${KDE_INSTALL_DATADIR}/kontact/ksettingsdialog)

=== src/views/collectionview/icons/CMakeLists.txt ===
set(korganizer_collectionview_icons
   sc-apps-quickview.svgz
   256-apps-quickview.png
   128-apps-quickview.png
   22-apps-quickview.png
   48-apps-quickview.png
   64-apps-quickview.png
   32-apps-quickview.png
   16-apps-quickview.png
)
ecm_install_icons(ICONS ${korganizer_collectionview_icons}
   DESTINATION ${KDE_INSTALL_ICONDIR}
   THEME hicolor
)

=== debian/changelog ===
korganizer (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Apr 2020 13:59:12 +0100

korganizer (4:19.04.3-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:16:15 +0100

=== debian/control ===
Source: korganizer
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kross-dev (>= 5.31.0~),
               libassuan-dev,
               libboost-dev (>= 1.40.0-2),
               libboost-graph-dev (>= 1.40.0-2),
               libgpgme11-dev,
               libgrantlee5-dev (>= 5.0.0~),
               libkf5akonadi-dev (>= 4:19.12.3~),
               libkf5akonadicalendar-dev (>= 4:19.12.3~),
               libkf5akonadicontact-dev (>= 4:19.12.3~),
               libkf5akonadimime-dev (>= 4:19.12.3~),
               libkf5akonadinotes-dev (>= 4:19.12.3~),
               libkf5akonadisearch-dev (>= 4:19.12.3~),
               libkf5akonadiserver-dev (>= 4:19.12.3~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5auth-dev (>= 5.31.0~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5calendarsupport-dev (>= 4:19.12.3~),
               libkf5calendarutils-dev (>= 4:19.12.3~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:19.12.3~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5dnssd-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5eventviews-dev (>= 4:19.12.3~),
               libkf5followupreminder-dev (>= 4:19.12.3~),
               libkf5globalaccel-dev (>= 5.31.0~),
               libkf5grantleetheme-dev (>= 19.12.3~),
               libkf5holidays-dev (>= 1:5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5identitymanagement-dev (>= 19.12.3~),
               libkf5incidenceeditor-dev (>= 19.12.3~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kdepimdbusinterfaces-dev (>= 4:19.12.3~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5kontactinterface-dev (>= 19.12.3~),
               libkf5ldap-dev (>= 19.12.3~),
               libkf5libkdepim-dev (>= 4:19.12.3~),
               libkf5mailcommon-dev (>= 4:19.12.3~),
               libkf5mailtransport-dev (>= 19.12.3~),
               libkf5messagecomposer-dev (>= 4:19.12.3~),
               libkf5mime-dev (>= 19.12.3~),
               libkf5mimetreeparser-dev (>= 4:19.12.3~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5pimcommon-dev (>= 4:19.12.3~),
               libkf5pimtextedit-dev (>= 19.12.3~),
               libkf5prison-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5templateparser-dev (>= 4:19.12.3~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5webengineviewer-dev (>= 4:19.12.3~),
               libkf5webkit-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libkf5xmlrpcclient-dev (>= 5.31.0~),
               libkpimgapi-dev (>= 19.12.3~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5opengl5-dev (>= 5.6.1~),
               libqt5webchannel5-dev (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.5.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~),
               shared-mime-info,
               xsltproc,
               zlib1g-dev,
Standards-Version: 3.9.8
Homepage: http://kontact.kde.org/korganizer/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/korganizer
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/korganizer

Package: korganizer
Architecture: any
Depends: kdepim-runtime, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Breaks: kdepim-doc (<< 4:16.12.0),
        kontact (<< 4:4.13.3-2),
        libkdepim4 (<< 4:4.14.10-3),
        ${kde-l10n:all},
Replaces: kdepim-doc (<< 4:16.12.0),
          kontact (<< 4:4.13.3-2),
          libkdepim4 (<< 4:4.14.10-3),
          ${kde-l10n:all},
Description: calendar and personal organizer
 This package contains KOrganizer, a calendar and scheduling program.
 .
 KOrganizer aims to be a complete program for organizing appointments,
 contacts, projects, etc. KOrganizer natively supports information interchange
 with other calendar applications, through the industry standard vCalendar
 personal data interchange file format. This eases the move from other
 modern PIMs to KOrganizer.
 .

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/korganizer-([\d.]+).tar.xz

## korganizer 20.08.1

=== debian/changelog ===
korganizer (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:57:28 +0100

korganizer (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Drop depreciated followupreminder and kdepimdbusinterfaces build
    deps.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:21:26 +0100

=== debian/control ===
--- 
+++ 
@@ -18,68 +18,66 @@
                libboost-graph-dev (>= 1.40.0-2),
                libgpgme11-dev,
                libgrantlee5-dev (>= 5.0.0~),
-               libkf5akonadi-dev (>= 4:19.12.3~),
-               libkf5akonadicalendar-dev (>= 4:19.12.3~),
-               libkf5akonadicontact-dev (>= 4:19.12.3~),
-               libkf5akonadimime-dev (>= 4:19.12.3~),
-               libkf5akonadinotes-dev (>= 4:19.12.3~),
-               libkf5akonadisearch-dev (>= 4:19.12.3~),
-               libkf5akonadiserver-dev (>= 4:19.12.3~),
+               libkf5akonadi-dev (>= 4:20.08.1~),
+               libkf5akonadicalendar-dev (>= 4:20.08.1~),
+               libkf5akonadicontact-dev (>= 4:20.08.1~),
+               libkf5akonadimime-dev (>= 4:20.08.1~),
+               libkf5akonadinotes-dev (>= 4:20.08.1~),
+               libkf5akonadisearch-dev (>= 4:20.08.1~),
+               libkf5akonadiserver-dev (>= 4:20.08.1~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5calendarcore-dev (>= 4:19.08.3~),
-               libkf5calendarsupport-dev (>= 4:19.12.3~),
-               libkf5calendarutils-dev (>= 4:19.12.3~),
+               libkf5calendarsupport-dev (>= 4:20.08.1~),
+               libkf5calendarutils-dev (>= 4:20.08.1~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:19.12.3~),
+               libkf5contacteditor-dev (>= 4:20.08.1~),
                libkf5contacts-dev (>= 4:19.08.3~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
-               libkf5eventviews-dev (>= 4:19.12.3~),
-               libkf5followupreminder-dev (>= 4:19.12.3~),
+               libkf5eventviews-dev (>= 4:20.08.1~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 19.12.3~),
+               libkf5grantleetheme-dev (>= 20.08.1~),
                libkf5holidays-dev (>= 1:5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 19.12.3~),
-               libkf5incidenceeditor-dev (>= 19.12.3~),
+               libkf5identitymanagement-dev (>= 20.08.1~),
+               libkf5incidenceeditor-dev (>= 20.08.1~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5kdepimdbusinterfaces-dev (>= 4:19.12.3~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5kontactinterface-dev (>= 19.12.3~),
-               libkf5ldap-dev (>= 19.12.3~),
-               libkf5libkdepim-dev (>= 4:19.12.3~),
-               libkf5mailcommon-dev (>= 4:19.12.3~),
-               libkf5mailtransport-dev (>= 19.12.3~),
-               libkf5messagecomposer-dev (>= 4:19.12.3~),
-               libkf5mime-dev (>= 19.12.3~),
-               libkf5mimetreeparser-dev (>= 4:19.12.3~),
+               libkf5kontactinterface-dev (>= 20.08.1~),
+               libkf5ldap-dev (>= 20.08.1~),
+               libkf5libkdepim-dev (>= 4:20.08.1~),
+               libkf5mailcommon-dev (>= 4:20.08.1~),
+               libkf5mailtransport-dev (>= 20.08.1~),
+               libkf5messagecomposer-dev (>= 4:20.08.1~),
+               libkf5mime-dev (>= 20.08.1~),
+               libkf5mimetreeparser-dev (>= 4:20.08.1~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:19.12.3~),
-               libkf5pimtextedit-dev (>= 19.12.3~),
+               libkf5pimcommon-dev (>= 4:20.08.1~),
+               libkf5pimtextedit-dev (>= 20.08.1~),
                libkf5prison-dev (>= 5.31.0~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:19.12.3~),
+               libkf5templateparser-dev (>= 4:20.08.1~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:19.12.3~),
+               libkf5webengineviewer-dev (>= 4:20.08.1~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
                libkf5xmlrpcclient-dev (>= 5.31.0~),
-               libkpimgapi-dev (>= 19.12.3~),
+               libkpimgapi-dev (>= 20.08.1~),
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
                libqt5opengl5-dev (>= 5.6.1~),

## korganizer 20.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
# Do NOT add quote
set(KDEPIM_DEV_VERSION)

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
  set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(PIM_VERSION "5.15.3")
set(RELEASE_SERVICE_VERSION "20.08.3")

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

project(korganizer VERSION ${PIM_VERSION})

if(POLICY CMP0063)
  cmake_policy(SET CMP0063 NEW)
endif()
set(KF5_MIN_VERSION "5.71.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(FeatureSummary)
include(CheckFunctionExists)
include(ECMGeneratePriFile)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)


set(AKONADI_MIMELIB_VERSION "5.15.3")
set(AKONADI_CONTACT_VERSION "5.15.3")
set(IDENTITYMANAGEMENT_LIB_VERSION "5.15.3")
set(KLDAP_LIB_VERSION "5.15.3")
set(KMAILTRANSPORT_LIB_VERSION "5.15.3")
set(CALENDARUTILS_LIB_VERSION "5.15.3")
set(AKONADICALENDAR_LIB_VERSION "5.15.3")
set(KONTACTINTERFACE_LIB_VERSION "5.15.3")
set(KMIME_LIB_VERSION "5.15.3")
set(KPIMTEXTEDIT_LIB_VERSION "5.15.3")
set(AKONADI_VERSION "5.15.3")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "5")
set(AKONADINOTES_LIB_VERSION "5.15.3")

set(QT_REQUIRED_VERSION "5.13.0")
option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client." FALSE)
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED DBus Gui Widgets Test UiTools)

find_package(KUserFeedback 0.9.90 CONFIG) # Needs Provider::describeDataSources()
set_package_properties(KUserFeedback PROPERTIES DESCRIPTION "User Feedback lib" TYPE OPTIONAL PURPOSE "Allow to send Telemetry Information (optional). It can be disable in apps.")

if (TARGET KUserFeedbackWidgets)
    add_definitions(-DWITH_KUSERFEEDBACK)
endif()

set(KDEPIM_APPS_LIB_VERSION_LIB "5.15.3")
set(PIMCOMMON_LIB_VERSION_LIB "5.15.3")
set(LIBKDEPIM_LIB_VERSION_LIB "5.15.3")
set(LIBINCIDENCEEDITOR_LIB_VERSION_LIB "5.15.3")
set(CALENDARSUPPORT_LIB_VERSION_LIB "5.15.3")
set(EVENTVIEW_LIB_VERSION_LIB "5.15.3")

find_package(KF5AkonadiSearch "5.15.3" CONFIG REQUIRED)
set_package_properties(KF5AkonadiSearch PROPERTIES DESCRIPTION "The Akonadi Search libraries" URL "https://www.kde.org" TYPE REQUIRED PURPOSE "Provides search capabilities in KMail and Akonadi")

# Find KF5 package
find_package(KF5Codecs ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5ConfigWidgets ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5CoreAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Crash ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5DBusAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5DocTools ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5ItemViews ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5JobWidgets ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5KCMUtils ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5NewStuff ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Parts ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Service ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5WidgetsAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5WindowSystem ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5XmlGui ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Notifications ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Holidays ${KF5_MIN_VERSION} CONFIG REQUIRED)

# Find KdepimLibs Package
find_package(KF5PimTextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiContact ${AKONADI_CONTACT_VERSION} CONFIG REQUIRED)
find_package(KF5IdentityManagement ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailTransportAkonadi ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Ldap ${KLDAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)
find_package(Phonon4Qt5 CONFIG REQUIRED)

find_package(KF5KontactInterface ${KONTACTINTERFACE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiNotes ${AKONADINOTES_LIB_VERSION} CONFIG REQUIRED)

find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5Libkdepim ${LIBKDEPIM_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5IncidenceEditor ${LIBINCIDENCEEDITOR_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5CalendarSupport ${CALENDARSUPPORT_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5EventViews ${EVENTVIEW_LIB_VERSION_LIB} CONFIG REQUIRED)
if(NOT APPLE)
  find_package(X11)
endif()

set(KDEPIM_HAVE_X11 ${X11_FOUND})
configure_file(config-korganizer.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-korganizer.h)
configure_file(korgac/config-enterprise.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-enterprise.h)
include_directories(${korganizer_SOURCE_DIR} ${korganizer_BINARY_DIR} ${korgac_SOURCE_DIR} ${korgac_BINARY_DIR})
configure_file(korganizer-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/korganizer-version.h @ONLY)


add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054800)
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
#add_definitions(-DQT_NO_FOREACH)
#add_definitions(-DQT_NO_KEYWORDS)
add_subdirectory(src)
add_subdirectory(korgac)

ecm_qt_install_logging_categories(
        EXPORT KORGANIZER
        FILE korganizer.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

add_subdirectory(doc)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== korgac/tests/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

#Laurent : don't remove korgac (break standalone build)
include_directories(
    ${korganizer_BINARY_DIR}/korgac
    )

set(korganizer_xml ${korganizer_SOURCE_DIR}/src/data/org.kde.korganizer.Korganizer.xml)

########### next target ###############

set(testalarmdlg_SRCS
    testalarmdlg.cpp
    ../alarmdialog.cpp
    ../mailclient.cpp
    ${korganizer_BINARY_DIR}/korgac/koalarmclient_debug.cpp)

qt5_add_dbus_interface(testalarmdlg_SRCS ${korganizer_xml}
    korganizer_interface
    )

qt5_add_dbus_interface(testalarmdlg_SRCS ../org.freedesktop.Notifications.xml notifications_interface)
qt5_add_dbus_interface(testalarmdlg_SRCS ../org.freedesktop.DBus.Properties.xml dbusproperties)

add_executable(testalarmdlg ${testalarmdlg_SRCS})

target_link_libraries(testalarmdlg
    KF5::AkonadiCalendar
    KF5::AkonadiMime
    KF5::CalendarSupport
    KF5::IncidenceEditor
    KF5::KIOCore
    KF5::Mime
    korganizer_core
    KF5::AkonadiCore
    KF5::CalendarCore
    KF5::CalendarUtils
    KF5::IdentityManagement
    KF5::MailTransport
    Phonon::phonon4qt5
    KF5::Notifications
    KF5::IconThemes
    KF5::WindowSystem
    )

=== src/autotests/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

########### next target ###############

add_executable(testkodaymatrix testkodaymatrix.cpp ../kodaymatrix.cpp)
add_test(NAME testkodaymatrix COMMAND testkodaymatrix)
ecm_mark_as_test(testkodaymatrix)
target_link_libraries(testkodaymatrix
  KF5::AkonadiCore
  KF5::CalendarCore
  KF5::CalendarSupport
  korganizer_core
  korganizerprivate
  Qt5::Test
)

add_executable(testkodaymatrix_us testkodaymatrix_us.cpp ../kodaymatrix.cpp)
add_test(NAME testkodaymatrix_us COMMAND testkodaymatrix_us)
ecm_mark_as_test(testkodaymatrix_us)
target_link_libraries(testkodaymatrix_us
  KF5::AkonadiCore
  KF5::CalendarCore
  KF5::CalendarSupport
  korganizer_core
  korganizerprivate
  Qt5::Test
)

set(koeventpopupmenutest_SRCS ../koeventpopupmenu.cpp ../kocorehelper.cpp ../korganizer_debug.cpp)
set(koeventpopupmenutest_LIBS Qt5::Test
  Qt5::Gui
  Qt5::Core
  KF5::Mime
  KF5::AkonadiWidgets
  KF5::AkonadiCore
  KF5::AkonadiCalendar
  KF5::AkonadiNotes
  KF5::CalendarCore
  KF5::IncidenceEditor
  KF5::CalendarSupport
  korganizer_core
  korganizerprivate
)
add_akonadi_isolated_test_advanced(koeventpopupmenutest.cpp "${koeventpopupmenutest_SRCS}" "${koeventpopupmenutest_LIBS}")

=== src/kcmconfigs/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
   korganizer_configplugins.desktop
   korganizer_configtime.desktop
   korganizer_configviews.desktop
+  korganizer_userfeedback.desktop
   DESTINATION ${KDE_INSTALL_KSERVICES5DIR}
 )

=== src/kconf_update/CMakeLists.txt ===
install(FILES korganizer.upd
        DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR}
)
install(PROGRAMS korganizer-15.08-kickoff.sh
        DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR}
)

=== src/sounds/CMakeLists.txt ===
install(FILES
  alert.wav icemag.wav lightmag.wav onscreen.wav spinout.wav
  DESTINATION ${KDE_INSTALL_DATADIR}/korganizer/sounds
)

=== src/tests/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

include_directories(
  ${korganizer_SOURCE_DIR}/
  ${korganizer_BINARY_DIR}/
)

########### next target ###############

set(korgplugins_SRCS korgplugins.cpp)

add_executable(korgplugins ${korgplugins_SRCS})

target_link_libraries(korgplugins
  korganizerprivate
  korganizer_core
  KF5::Holidays
  KF5::KIOCore
)

########### next target ###############

add_executable(testkcmdesignerfields testkcmdesignerfields.cpp ../kcmdesignerfields.cpp ../korganizer_debug.cpp)
set_target_properties(testkcmdesignerfields PROPERTIES COMPILE_FLAGS -DTESTKCMDESIGNERCURRENTDIR="\\"${CMAKE_CURRENT_SOURCE_DIR}/\\"")
target_link_libraries(testkcmdesignerfields
  KF5::KIOCore
  KF5::I18n
  Qt5::UiTools
  KF5::KCMUtils
  KF5::KIOWidgets
)

=== src/interfaces/korganizer/CMakeLists.txt ===

########### next target ###############

set(korganizer_interfaces_LIB_SRCS
  baseview.cpp
  mainwindow.cpp
)

add_library(korganizer_interfaces ${korganizer_interfaces_LIB_SRCS})
generate_export_header(korganizer_interfaces BASE_NAME korganizer_interfaces)
target_link_libraries(korganizer_interfaces
  KF5::CalendarSupport
  KF5::EventViews
  KF5::AkonadiCore
  Qt5::PrintSupport
  KF5::Parts
)

set_target_properties(korganizer_interfaces PROPERTIES
  VERSION ${KDEPIM_LIB_VERSION}
  SOVERSION ${KDEPIM_LIB_SOVERSION}
)

install(TARGETS
  korganizer_interfaces ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES korganizerpart.desktop DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})

=== src/kontactplugin/specialdates/CMakeLists.txt ===
########### next target ###############



set(kontact_specialdatesplugin_PART_SRCS specialdates_plugin.cpp sdsummarywidget.cpp)
ecm_qt_declare_logging_category(kontact_specialdatesplugin_PART_SRCS HEADER korganizer_kontactplugins_specialdates_debug.h IDENTIFIER KORGANIZER_KONTACTPLUGINS_SPECIALDATES_LOG CATEGORY_NAME org.kde.pim.korganizer_kontactplugins_specialdates
        DESCRIPTION "korganizer (kontactplugins korganizer special dates)"
        OLD_CATEGORY_NAMES log_korganizer_kontactplugins_specialdates
        EXPORT KORGANIZER
    )


add_library(kontact_specialdatesplugin MODULE ${kontact_specialdatesplugin_PART_SRCS})

set(_korganizerprivate_lib "korganizerprivate")

target_link_libraries(kontact_specialdatesplugin
  KF5::Contacts
  KF5::CalendarCore
  KF5::Holidays
  KF5::KontactInterface
  KF5::AkonadiCore
  KF5::AkonadiContact
  KF5::CalendarSupport
)

kcoreaddons_desktop_to_json(kontact_specialdatesplugin specialdatesplugin.desktop)

########### next target ###############

set(kcm_sdsummary_PART_SRCS kcmsdsummary.cpp)

ki18n_wrap_ui(kcm_sdsummary_PART_SRCS sdsummaryconfig_base.ui)

add_library(kcm_sdsummary MODULE ${kcm_sdsummary_PART_SRCS})

target_link_libraries(kcm_sdsummary Qt5::Widgets KF5::KCMUtils KF5::I18n)

########### install files ###############

install(TARGETS kontact_specialdatesplugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/kontact5)
install(TARGETS kcm_sdsummary DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(FILES specialdatesplugin.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR}/kontact)
install(FILES kcmsdsummary.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

install(FILES specialdates.setdlg DESTINATION ${KDE_INSTALL_DATADIR}/kontact/ksettingsdialog)

=== src/views/collectionview/autotests/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/..
  ${korganizer_SOURCE_DIR}/
)

set(reparentingmodeltest_SRCS
    reparentingmodeltest.cpp
    ../reparentingmodel.cpp
    modeltest.cpp
    ../../../korganizer_debug.cpp
)

add_executable(reparentingmodeltest ${reparentingmodeltest_SRCS})
add_test(NAME reparentingmodeltest COMMAND reparentingmodeltest)
ecm_mark_as_test(reparentingmodeltest)
ecm_mark_nongui_executable(reparentingmodeltest)
target_link_libraries(reparentingmodeltest
    Qt5::Test
    Qt5::Core
    Qt5::Gui
)

=== debian/changelog ===
korganizer (4:20.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (20.08.3).
  * Update build-deps and deps with the info from cmake.
  * Remove wrong line from lintian-override.
  * Minimize the upstream GPG signing key.

 -- Sandro Knauß <hefee@debian.org>  Wed, 16 Dec 2020 01:51:29 +0100

korganizer (4:20.08.2-3) unstable; urgency=medium

  * Add kuserfeedback-dev to B-D.

 -- Sandro Knauß <hefee@debian.org>  Mon, 26 Oct 2020 23:13:42 +0100

korganizer (4:20.08.2-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Tue, 20 Oct 2020 00:10:25 +0200

korganizer (4:20.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Update repository related entries to metadata file.
  * Add Bug-* entries to metadata file.
  * Remove not needed Build-Depends.

 -- Sandro Knauß <hefee@debian.org>  Fri, 16 Oct 2020 00:53:51 +0200

korganizer (4:20.04.1-2) unstable; urgency=medium

  * Team upload.
  * Explicitly add the gettext build dependency.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
  * Unregister the old /etc/xdg/korganizer.categories,
    /etc/xdg/korganizer.knsrc, and /etc/xdg/korganizer.renamecategories
    conffiles.

 -- Pino Toscano <pino@debian.org>  Sat, 22 Aug 2020 22:55:35 +0200

korganizer (4:20.04.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.04.1).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Wed, 27 May 2020 00:01:24 +0200

korganizer (4:20.04.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update watch file to the new release-service location.
  * Bump compat level to 13.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Add Rules-Requires-Root field to control.
  * New upstream release (20.04.0).
  * Update build-deps and deps with the info from cmake.
  * Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Enable hardening all.

 -- Sandro Knauß <hefee@debian.org>  Wed, 13 May 2020 12:26:41 +0200

=== debian/control ===
Source: korganizer
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
           Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.71.0~),
               gettext,
               kuserfeedback-dev (>= 0.9.90~),
               libkf5akonadi-dev (>= 4:20.08.3~),
               libkf5akonadicalendar-dev (>= 4:20.08.3~),
               libkf5akonadicontact-dev (>= 4:20.08.3~),
               libkf5akonadimime-dev (>= 4:20.08.3~),
               libkf5akonadinotes-dev (>= 4:20.08.3~),
               libkf5akonadisearch-dev (>= 4:20.08.3~),
               libkf5calendarcore-dev (>= 5:5.71.0~),
               libkf5calendarsupport-dev (>= 4:20.08.3~),
               libkf5calendarutils-dev (>= 4:20.08.3~),
               libkf5codecs-dev (>= 5.71.0~),
               libkf5completion-dev (>= 5.68.0~),
               libkf5config-dev (>= 5.71.0~),
               libkf5configwidgets-dev (>= 5.71.0~),
               libkf5contacts-dev (>= 5:5.71.0~),
               libkf5coreaddons-dev (>= 5.71.0~),
               libkf5crash-dev (>= 5.71.0~),
               libkf5dbusaddons-dev (>= 5.71.0~),
               libkf5doctools-dev (>= 5.71.0~),
               libkf5eventviews-dev (>= 4:20.08.3~),
               libkf5holidays-dev (>= 1:5.71.0~),
               libkf5iconthemes-dev (>= 5.71.0~),
               libkf5identitymanagement-dev (>= 20.08.3~),
               libkf5incidenceeditor-dev (>= 20.08.3~),
               libkf5itemviews-dev (>= 5.71.0~),
               libkf5jobwidgets-dev (>= 5.71.0~),
               libkf5kcmutils-dev (>= 5.71.0~),
               libkf5kontactinterface-dev (>= 20.08.3~),
               libkf5ldap-dev (>= 20.08.3~),
               libkf5libkdepim-dev (>= 4:20.08.3~),
               libkf5mailtransport-dev (>= 20.08.3~),
               libkf5mime-dev (>= 20.08.3~),
               libkf5newstuff-dev (>= 5.71.0~),
               libkf5notifications-dev (>= 5.71.0~),
               libkf5parts-dev (>= 5.71.0~),
               libkf5pimcommon-dev (>= 4:20.08.3~),
               libkf5pimtextedit-dev (>= 20.08.3~),
               libkf5service-dev (>= 5.71.0~),
               libkf5widgetsaddons-dev (>= 5.71.0~),
               libkf5windowsystem-dev (>= 5.71.0~),
               libkf5xmlgui-dev (>= 5.71.0~),
               libphonon4qt5-dev,
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.13.0~),
               qttools5-dev (>= 5.13.0~),
               xauth,
               xvfb
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/pim/korganizer
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/korganizer
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/korganizer.git
Rules-Requires-Root: no

Package: korganizer
Architecture: any
Depends: kdepim-runtime [amd64 arm64 armhf i386 mipsel],
         ${misc:Depends},
         ${shlibs:Depends}
Homepage: http://kontact.kde.org/korganizer/
Description: calendar and personal organizer
 This package contains KOrganizer, a calendar and scheduling program.
 .
 KOrganizer aims to be a complete program for organizing appointments,
 contacts, projects, etc. KOrganizer natively supports information interchange
 with other calendar applications, through the industry standard vCalendar
 personal data interchange file format. This eases the move from other
 modern PIMs to KOrganizer.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5

override_dh_auto_install:
	dh_auto_install
	# do not ship development stuff
	find debian/korganizer -name '*.so' -type l -delete

override_dh_auto_test:
	- xvfb-run -a --server-args="-screen 0 1024x768x24 +extension GLX" --\
	           dh_auto_test --no-parallel
